Bug 160251 - Add hint for search in Open Kenai Project dialog
Add hint for search in Open Kenai Project dialog
Status: VERIFIED FIXED
Product: connecteddeveloper
Classification: Unclassified
Component: Team Framework
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Jan Becicka
issues@connecteddeveloper
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-13 11:55 UTC by Jaromir Uhrik
Modified: 2009-12-15 08:53 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaromir Uhrik 2009-03-13 11:55:42 UTC
I have figured out that it is possible to search kenai project with using '*'. For example when I want to open
"brumlatex" project it is enough to write "brumla*" to find this project and open it then. Since it is not clear for
users how to search by prefix I recommend to have a hint by the Search textfield of the Open Kenai Project.
Comment 1 Milan Kubec 2009-03-13 12:40:24 UTC
Valid request, but not P2 DEFECT by no means. Either P2 RFE or P4 DEFECT, IMO. BTW nobody knew that.
Comment 2 Jaromir Uhrik 2009-03-13 13:10:31 UTC
Sorry, I was aiming it as enhancement and forgot to change the issue type. Submitted hungry right before lunch;-)
Definitely P2 enhancement.
Comment 3 Jan Becicka 2009-06-11 10:51:43 UTC
full description of patterns available here http://lucene.apache.org/java/2_3_2/queryparsersyntax.html
Comment 4 Tomas Pavek 2009-06-15 16:54:29 UTC
A hint for adding '*' to the search term would be fine, but we probably don't want people be required to learn all the
patterns usable for lucene index...

There is also the question if we should strictly perform the same search as Kenai web, or try to do better. E.g. using
the * at the end does not seem to work for upper case letters (e.g. try to search for Game* and game*, or Anag* and
anag*). We may ask Kenai team to fix it (which we already tried), or we can workaround it in the IDE. I can imagine that
if the user enters just one word, we convert it to lowercase and add * - the result would be likely closest to what a
typical user expects.

See also issue 165955.
Comment 5 Tomas Pavek 2009-06-26 10:21:33 UTC
It seems like the project search on Kenai web now behaves like a I described - i.e. converting the user entered string
to lower case and adding *. Just try to find e.g. 'LateX' or 'anag' on web and in the IDE.
Comment 6 Jan Becicka 2009-07-31 09:26:25 UTC
fixed in my local repo
Comment 7 Quality Engineering 2009-07-31 18:48:53 UTC
Integrated into 'main-golden', will be available in build *200907311401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/c2a0679ecdb2
User: Jan Becicka <jbecicka@netbeans.org>
Log: #160251: Add hint for search in Open Kenai Project dialog
Comment 8 Jan Becicka 2009-07-31 20:40:36 UTC
fixed
Comment 9 Jaromir Uhrik 2009-12-15 08:53:03 UTC
Formally marking this issue as verified.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo